Name:            libsodium
Version:         0.4.3
Release:         3%{?dist}
Summary:         A fork of networking and cryptography library with compatible APIs
License:         ISC
URL:             https://github.com/jedisct1/libsodium
Source0:         https://download.libsodium.org/libsodium/releases/%{name}-%{version}.tar.gz

%description
Sodium is a portable, cross-compilable, installable, packageable library 
forked from NaCl(networking and cryptography library), with a compatible API. 
Its goal is to provide all of the core operations needed to build higher-level
cryptographic tools.

%package         devel
Summary:         Development files for %{name}
Requires:        %{name}%{?_isa} = %{version}-%{release}

%description     devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name} libraries.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete

# Fuck you centos, i can assemble my own pkg-config files
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
cat > %{buildroot}/%{_libdir}/pkgconfig/libsodium.pc <<EOF
libdir=%{_libdir}
includedir=%{_includedir}

Name: libsodium
Version: 0.4.3
Description: A portable, cross-compilable, installable, packageable fork of NaCl, with a compatible API.

Libs: -L\${libdir} -lsodium
Cflags: -I\${includedir}
EOF

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS THANKS
#ChangeLog README 
%{_libdir}/libsodium.so.*

%files devel
%{_includedir}/sodium.h
%{_includedir}/sodium/
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/libsodium.pc

%changelog
* Sun Oct 20 2013 immerda admin team <admin@immerda.ch> - 0.4.3-3
- Update version

* Wed Jul 10 2013 Christopher Meng <rpm@cicku.me> - 0.4.2-2
- Drop useless files.
- Improve the description.

* Wed Jul 10 2013 Christopher Meng <rpm@cicku.me> - 0.4.2-1
- Initial Package.
